summaryrefslogtreecommitdiffstats
path: root/ci/02-deploybundle.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-10-17 07:40:27 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2016-10-17 09:43:25 -0500
commit501abc68e6a974d7e5dd480233bf44a2f20fc0b3 (patch)
treec4a30540a7708792b127343b540cd971c1566dea /ci/02-deploybundle.sh
parent7ae91a059f2b498ebacc66440f5de21eea99033c (diff)
modified to typo error.
Change-Id: I9992d424a6b74578b918c5a749ae86e892ea4084 Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/02-deploybundle.sh')
-rwxr-xr-xci/02-deploybundle.sh15
1 files changed, 6 insertions, 9 deletions
diff --git a/ci/02-deploybundle.sh b/ci/02-deploybundle.sh
index d08dae6c..ad7c6ff1 100755
--- a/ci/02-deploybundle.sh
+++ b/ci/02-deploybundle.sh
@@ -103,18 +103,15 @@ if [ "$osdomname" != "None" ]; then
var=$var"_"publicapi
fi
-if [ "$jujuver" < "2" ]; then
- #lets generate the bundle for all target using genBundle.py
- python genBundle.py -j 1 -l deployconfig.yaml -s $var > bundles.yaml
- #keep the back in cloud for later debugging.
- pastebinit bundles.yaml || true
+#lets generate the bundle for all target using genBundle.py
+python genBundle.py -l deployconfig.yaml -s $var > bundles.yaml
+#keep the back in cloud for later debugging.
+pastebinit bundles.yaml || true
+
+if [[ "$jujuver" < "2" ]]; then
echo "... Deployment Started ...."
juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack"
else
- #lets generate the bundle for all target using genBundle.py
- python genBundle.py -j 2 -l deployconfig.yaml -s $var > bundles.yaml
- #keep the back in cloud for later debugging.
- pastebinit bundles.yaml || true
# with JUJU 2.0 bundles has to be deployed only once.
juju deploy bundles.yaml --debug
sleep 120